DCMTK - Bug #828

Embedded overlay planes are not rendered correctly when scaling and rotating an image
2018-05-02 20:29 - J6rg Riesmeier

Status: Closed Start date: 2018-05-02
Priority: Low Due date:

Assignee: Jorg Riesmeier % Done: 100%
Category: Library Estimated time: 0:00 hour

Target version:
Module: dcmimgle Compiler:

Operating System:

Description
Sample command lines that demonstrate this issue:

e dcm2pnm -v +Sxf 0.5 +Rl ovl_both.dio test.pgm
e dcm2pnm -v +Sxf 1.5 +Rtd ovl_both.dio test.pgm

It works correctly when scaling or rotating only (i.e. not both during a single call).

Priority is "low" since embedded overplay planes are retired.

History

#1 - 2018-06-15 16:30 - Jorg Riesmeier

The issue seems to be caused by an incorrect calculation of the origin (top-left hand corner) of the overlay plane.

#2 - 2018-06-15 17:40 - J6rg Riesmeier
- Status changed from New to Closed

- % Done changed from 0 to 100

Fixed with commit 29f9de1.
